# Generated by Django 2.1.5 on 2019-02-08 11:55

from django.db import migrations, models
import django.db.models.deletion
import filebrowser.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0009_alter_user_last_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64)),
                ('excerpt', models.TextField(blank=True)),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
            ],
            options={
                'verbose_name': 'catégorie',
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('description', models.TextField(blank=True)),
                ('website', models.URLField(blank=True)),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
                ('group', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.Group')),
            ],
            options={
                'verbose_name': 'partenaire',
            },
        ),
        migrations.CreateModel(
            name='Feature',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64)),
                ('description', models.TextField()),
            ],
            options={
                'verbose_name': 'fonctionnalité',
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=64)),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('image', filebrowser.fields.FileBrowseField(blank=True, max_length=200, verbose_name='Image')),
                ('excerpt', models.CharField(blank=True, max_length=128)),
                ('content', models.TextField()),
                ('date', models.DateField(blank=True, null=True)),
                ('categories', models.ManyToManyField(related_name='projects', to='bab_project.Category', verbose_name='catégories')),
                ('customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='bab_project.Customer', verbose_name='partenaire')),
            ],
            options={
                'verbose_name': 'bidule',
                'ordering': ['date'],
            },
        ),
        migrations.AddField(
            model_name='feature',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='features', to='bab_project.Project'),
        ),
    ]
